#!/usr/bin/perl -w

use esmith::TestUtils qw(scratch_copy);
use Test::More 'no_plan';

use_ok('esmith::rpm::spec');

$Specfile = '10-e-smith-rpm/specs/complete.spec';
my $spec = scratch_copy($Specfile);
my $rpm = esmith::rpm::spec->new($spec);
isa_ok($rpm, 'esmith::rpm::spec');
isa_ok($rpm, 'esmith::rpm' );

is( $rpm->spec,     $spec,              'spec' );
is( $rpm->file,     'e-smith-blades-1.3.2-01.noarch.rpm', 'file' );

is( $rpm->name,     'e-smith-blades',   'name' );
is( $rpm->version,  '1.3.2',            'version' );
is( $rpm->release,  '01',               'release' );
is( $rpm->arch,     'noarch',           'arch' );

open(SPEC, $spec) or die $!;
{ local $/; $spec_data = <SPEC> }
close SPEC;
$spec_data =~ s/^(%define\s+version)\s+[\d.]+/$1 2.4.5/m || die $!;
open(SPEC, ">$spec") or die $!;
print SPEC $spec_data;
close SPEC;

$rpm->reload;

is( $rpm->name,     'e-smith-blades',   'name       reloaded' );
is( $rpm->version,  '2.4.5',            'version    reloaded' );
is( $rpm->release,  '01',               'release    reloaded' );
is( $rpm->arch,     'noarch',           'arch       reloaded' );

is_deeply( [$rpm->tags], [$rpm->name, $rpm->version, 
                          $rpm->release, $rpm->arch] );
