Summary: e-smith module for downloading and installing blades
%define name e-smith-blades
Name: %{name}
#%define version 2.4.5
%define version 1.3.2
%define release 01
Version: %{version}
Release: %{release}
Copyright: Mitel Networks Corporation
Vendor: Mitel Networks Corporation
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-lib >= 1.7.0-20, perl-Error, perl-RPM
Requires: e-smith-rpm
BuildRequires: e-smith-devtools 
AutoReqProv: no

%description
e-smith module for downloading and installing blades

%prep
%setup
chmod +x root/etc/cron.daily/tmpwatch-blades

%build
perl createlinks
mkdir -p $RPM_BUILD_ROOT/var/cache/e-smith/blades/{licenses,packages}
chmod 0600 root/root/.ssh/identity.e-smith-blades-public

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Tue Feb 26 2002 Mark Knox <markk@e-smith.com>
- [1.3.2-01]
- Moved files from version-specific perl directory to generic directory
  /usr/lib/perl5/site_perl/esmith [markk 2002/02/22]

* Mon Feb 18 2002 Jason Miller <jmiller@e-smith.com>
- [1.3.1-01]
- Rolling rpm to 1.3.1-01 from CVS repository - includes all
  patches in 1.3.0-01

* Mon Feb 18 2002 Jason Miller <jmiller@e-smith.com>
- [1.3.0-01]
- rollRPM: Rolled version number to 1.3.0-01. Includes patches up to 1.2.1-01.

* Thu Jan 24 2002 Tony Clayton <tonyc@e-smith.com>
- [1.2.1-01]
- rollRPM: Rolled version number to 1.2.1-01. Includes patches up to 1.2.0-03.
- check against installed_blades file for isModified and isIncomplete checks

* Tue Jan  8 2002 Adrian Chung <adrianc@e-smith.com>
- [1.2.0-03]
- Don't use --oldpackage when checking conflicts, we don't support
  downgrades at the moment.
- Specifically catch RPM message when installing an older version of
  an installed package.
- Capture and report RPM conflict error messages when RPM's exit status
  is != 0.

* Wed Jan 02 2002 Tony Clayton <tonyc@e-smith.com>
- [1.2.0-02]
- add to %prep: chmod +x root/etc/cron.daily/tmpwatch-blades 
  Charlie has fixed e-smith-devtools to force execute permissions for scripts
  in /etc/cron.* at build time, but I'll leave this fix in anyway.

* Tue Dec 11 2001 Adrian Chung <mac@e-smith.com>
- [1.2.0-01]
- rollRPM: Rolled version number to 1.2.0-01. Includes patches up to 1.1.0-07.

* Mon Dec 10 2001 Tony Clayton <tonyc@e-smith.com>
- [1.1.0-07]
- add tmpwatch for blades cache
- touch bladeslist file when blades are downloaded

* Mon Dec 03 2001 Tony Clayton <tonyc@e-smith.com>
- [1.1.0-06]
- sort bladelist by 1)installed and 2)bladename
- add confirmation for blade removal
- trim SMEServer-Blade- from blade name in all web pages

* Sat Dec 01 2001 Tony Clayton <tonyc@e-smith.com>
- [1.1.0-05]
- Fix migrate-blades script to check individual packages
- Uncomment blades list download in panel (was commented for faster testing)
- Group bladeslist by Supported/Approved/Unsupported
- Replace 'Support status' column with 'Status' column
  (installed/modified/incomplete)

* Fri Nov 30 2001 Tony Clayton <tonyc@e-smith.com>
- [1.1.0-04]
- Add support for "Documentation" links in blades list

* Thu Nov 29 2001 Tony Clayton <tonyc@e-smith.com>
- [1.1.0-03]
- fix broken "Install" links in blades list panel 
- remove upgraded blade from installed_blades file
- rewrite conflicts method for blades - now supports file conflicts
- deps and conflicts checks now use temporary files instead of hashes
- show "Upgrade", "Downgrade" links in blades list panel instead of always
  showing "Install"
- remove SMEServer-Blades prefix in blades list panel
- reformat blades list panel - group by Installed/Available and sort by 1)
  Support Status and 2) Blade 

* Wed Nov 28 2001 Tony Clayton <tonyc@e-smith.com>
- [1.1.0-01]
- rollRPM: Rolled version number to 1.1.0-01. Includes patches up to 1.0.1-13.
- add patch for installed_blades file.  file is updated when blades are
  installed/uninstalled, but still not used by blades list panel.

* Wed Nov 28 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-13]
- add 'use strict' to blades packages

* Wed Nov 28 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-12]
- more friendly error reporting in blades panel 

* Tue Nov 20 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-11]
- changed default blades host back to service.e-smith.com

* Thu Nov 15 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-10]
- don't show "..was NOT installed" in progress screen during install step

* Thu Nov 15 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-09]
- pulling last patch - ssh1 doesn't like multiple host keys

* Thu Nov 15 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-08]
- remove /root/.ssh/config blades host fragment (moved to e-smith-keys)

* Tue Nov 13 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-07]
- add dependency on perl-RPM

* Tue Nov 13 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-06]
- migrate default blades host to blades.e-smith.com
- remove deprecated blades-update action
- send rpm versions in blades list request

* Fri Nov 09 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-05]
- move lockfile functions into esmith-lib (as esmith::lockfile)
- added dependency on e-smith-lib >= 1.7.0-20
- new License Acceptance screen in manager
- factor out $PKGDIR, $LICENSEDIR, and $BLADEDIR globals
- differentiate between 'cancelled' and 'aborted' status in UI

* Thu Nov 08 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-04]
- force installer process to exit after it finishes

* Thu Nov 08 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-03]
- fixed last patch suffix - renamed from .2001020500 to .2001110500
- small bug fixes in esmith::Blades::Error module
- fixes for conflict notification in blades panel

* Mon Nov  5 2001 Adrian Chung <adrianc@e-smith.com>
- [1.0.1-02]
- Changed "was not be installed" => "was not installed" when
  blade download/install process is cancelled in UI.
- Remove textarea NAME= property so that blades with lots
  of licenses still work.

* Mon Nov 5 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-01]
- Rolled to version 1.0.1, included status-bar gifs in tarball
- Forward-ported with-held patch13 from 1.0.0 to patch01

* Mon Nov 5 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.0.0-33]
- Fixed changellog numbering 1.1.0->1.0.0 throughout
- No code change

* Wed Oct 31 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-32]
- added % complete to status bar
- added 'click here to return to blades panel' link to status pages
- minor UI improvements in blades panel

* Fri Oct 26 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-30]
- numerous improvements to progress screen.  add overview section

* Fri Oct 19 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-29]
- fix blades list code to only log changes in /home/e-smith/blades
- add getPackageSizes function (and add to blades protocol)
- add progress screen for blade install panel

* Thu Oct 04 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-28]
- add packages_to_download to Blade.pm
- add cmp_with_installed function in Package.pm
- various fixes for unresolved dependency and conflict checking

* Wed Oct 03 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-27]
- Filter out already-installed packages from unresolved deps results
- Replace showInitial() calls with esmith::cgi::genResult calls in blades panel

* Wed Oct 03 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-26]
- Check for Serial flag when determining rpm version conflicts
- Wait until after packages are downloaded before determining conflicts

* Wed Oct 03 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-25]
- Catch unresolved dependencies during install and display an error in blades
  panel
- Add 'IgnoreDeps' property in blades list to ignore known unresolved deps

* Tue Oct 02 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-24]
- Allow a decimal in release string parsing 

* Tue Oct 02 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-23]
- Clean up and de-bug cyclical dependency code

* Tue Oct 02 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-22]
- Add cyclical dependency check (clean_deps function) to dependency sort 

* Sat Sep 29 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-21]
- Don't show licenses for packages that are already installed

* Sat Sep 29 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-20]
- Sort packages in dependency order before uninstall

* Sat Sep 16 2001 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-19]
- Roll back previous patch, which has not yet been approved.

* Thu Sep 14 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-18]
- Do not let a blade be uninstalled if it has enabled i-bays

* Thu Sep 14 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-17]
- Do not submit license text from accept license screen 

* Thu Sep 13 2001 Adrian Chung <adrianc@e-smith.com>
- [1.0.0-16]
- Handle not showing the "remove" button in blades panel so
  that updates can't be uninstalled from the panel.

* Thu Sep 13 2001 Adrian Chung <adrianc@e-smith.com>
- [1.0.0-15]
- Handle uninstall errors better in the blades web panel
- Don't close STDOUT in Blade.pm until after we've thrown
  our exception.

* Thu Sep 13 2001 Adrian Chung <adrianc@e-smith.com>
- [1.0.0-14]
- Get rid of debugging code from Connection.pm and Session.pm

* Wed Aug 22 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.0.0-13]
- Turned the <BR> into a paragraph

* Wed Aug 22 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.0.0-12]
- Extra <BR> before displaying cache list of blades

* Wed Aug 22 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.0.0-11]
- Added descriptive, null-terminated blades error strings

* Tue Aug 21 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.0.0-10]
- Adjusted changelog

* Tue Aug 21 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.0.0-09]
- Removed post-restore directory

* Tue Aug 21 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.0.0-08]
- Adjusted Copyright, added Vendor tag
- Removed post-restore link

* Fri Aug 17 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-07]
- improved error checking in web panel
- session object automatically closes session when it dies

* Fri Aug 17 2001 gordonr
- [1.0.0-06]
- Autorebuild by rebuildRPM

* Tue Aug 14 2001 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-05]
- Change template fragment which generates root/.ssh/config host configuration.
  Main work is now done by e-smith-openssh.

* Mon Aug 13 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-04]
- (porting changes from e-smith-blades-0.1.6-32) 
- fixed catch statement for accept license stage in blades panel

* Mon Aug 13 2001 Adrian Chung <adrianc@e-smith.com>
- [1.0.0-03]
- (porting changes from e-smith-blades-0.1.6-31) 
- Fixing web panel to be Lynx friendly, and better
  formatting for last paragraph of license screen.

* Mon Aug 13 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.0-02]
- (porting changes from e-smith-blades-0.1.6-30) 
- add try/catch blocks to accept license/download package stages in blades
  panel. 

* Wed Aug 8 2001 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-01]
- Rolled version number to 1.0.0-01. Includes patches upto 0.1.6-29.

* Wed Aug 08 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-29]
- fixing blades uninstall code to run under -T environment

* Wed Aug 08 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-28]
- fixing what last patch clobbered

* Wed Aug 08 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-27]
- fixed Package.isInstalled to ignore rpm errors
- several other small fixes for integration testing

* Wed Aug 08 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.6-26]
- Terminated various errors with \n to hide Perl line number

* Wed Aug 08 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-25]
- fixed order_by_packageString function in Package.pm
- added proper dependency checking before uninstalling blades

* Tue Aug  7 2001 Adrian Chung <adrianc@e-smith.com>
- [0.1.6-24]
- minor bug fixes in Blade.pm and Package.pm

* Tue Aug  7 2001 Adrian Chung <adrianc@e-smith.com>
- [0.1.6-23]
- library changes
- web panel changes, to taint check CGI GET variables

* Tue Aug  7 2001 Adrian Chung <adrianc@e-smith.com>
- [0.1.6-22]
- added missing eval to blades web panel
- change host 'moo' to $host variable
- minor changes in Session.pm

* Mon Aug 07 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-21]
- fixed exception handling in all Error classes
- fixed Exporter code in all classes
- still using eval to catch exceptions in web panel

* Fri Aug  3 2001 Adrian Chung <adrianc@e-smith.com>
- [0.1.6-20]
- Adding e-smith-blades .ssh/config template.

* Thu Aug  2 2001 Adrian Chung <adrianc@e-smith.com>
- [0.1.6-19]
- Updating error message propagation and display
- Fixing communication and eval consistencies.

* Thu Aug  2 2001 Adrian Chung <adrianc@e-smith.com>
- [0.1.6-18]
- modifying web panel logic
	always attempt to download blades list
	gracefully fail and show previous state
	catch sig{pipe} problems
	sort output by name-release-version.

* Thu Aug  2 2001 Adrian Chung <adrianc@e-smith.com>
- [0.1.6-17]
- change eval "my $frozen = freeze %hash;"; to
  my $frozen = eval "freeze %hash;";

* Wed Aug 01 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-16]
- catch connection errors in web panel

* Wed Aug 01 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-15]
- moved encode/decode into proper package

* Tue Jul 31 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-14]
- removed dependency on esmith-registration
- duplicated esmith::comm functions where necessary

* Tue Jul 31 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-13]
- changed 'require IPC::Open2' to 'use IPC::Open2'

* Tue Jul 31 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-12]
- updated error codes in blades libraries

* Tue Jul 31 2001 Adrian Chung <adrianc@e-smith.com>
- [0.1.6-11]
- adding blades-conf-startup script
- removing more network services dependencies in blades
  panel.

* Tue Jul 31 2001 Adrian Chung <adrianc@e-smith.com>
- [0.1.6-10]
- Removed bogus dependency checks

* Tue Jul 31 2001 Adrian Chung <adrianc@e-smith.com>
- [0.1.6-09]
- Moving to Administration, again.

* Mon Jul 30 2001 Adrian Chung <adrianc@e-smith.com>
- [0.1.6-08]
- updating blades panel to change wording and layout slightly.

* Fri Jul 27 2001 Adrian Chung <adrianc@e-smith.com>
- [0.1.6-07]
- Changing blades position in navigation menu
- Moved to Administration

* Fri Jul 27 2001 Adrian Chung <adrianc@e-smith.com>
- [0.1.6-06]
- complete backend overhaul to use new blades backend
  architecture.

* Fri Jul 27 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-05]
- fixed uninstall() method for Blade.pm

* Fri Jul 27 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-04]
- added uninstall() method to Package.pm

* Thu Jul 26 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-03]
- get host param from service in test script for now

* Thu Jul 26 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-02]
- moved site_perl/esmith to site_perl/5.005/esmith

* Thu Jul 26 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.6-01]
- Initial release of new blades protocol implementation
- pretty much a complete rewrite

* Fri Jun 08 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.1-18]
- Changed manager category name and position

* Fri Jun 01 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.1-17]
- blades panel checks network services for registration status

* Fri Jun 01 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.1-16]
- fixed system() calls to check return status against 0

* Mon May 14 2001 Jason Miller <jmiller@e-smith.com>
- [0.1.1-15]
- Changed license header on blades.pm, update-blades action, and blades web
  panel 

* Mon May 14 2001 Adrian Chung <adrianc@e-smith.com>
- [0.1.1-14]
- adjusting License header

* Thu May 10 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.1-13]
- Changed rpm 'system' call - needs to be put back to list syntax

* Thu May 10 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.1-12]
- fixed typo in filehandle name in blades.pm

* Wed May 09 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.1-11]
- Removed print statements from blades.pm
- Silence the output of rpm -q in blades.pm

* Tue May 08 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.1-10]
- Removed a command from the setup section - it belongs in another rpm

* Tue May 08 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.1-09]
- Removed rsync for installing blades. Using rpm over http.

* Sat Apr 28 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.1.1-08]
- Fixed error display and Copyright

* Thu Apr 19 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.1-07]
- removed dependency on perl-RPM
- added --nodeps flag to install_blade function

* Thu Apr 12 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.1-06]
- better tracking of enabled/disabled blades
- changed install_blade and uninstall_blade functions to properly keep track of
  enabled/disabled blades.
- fix to prevent web panel from refreshing after Update with wrong info
- reworked blades-update action to be more intuitive 

* Thu Apr 12 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.1-05]
- fixed install_blade and uninstall_blade functions
- fixed web panel

* Thu Apr 12 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.1-04]
- fixed blade checking and enabling/disabling code in web panel

* Thu Apr 12 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.1-03]
- fixed export code in blades.pm
- create blades-update event and added blades-update action

* Thu Apr 12 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.1-02]
- added missing semicolon
- fixed spelling of corrupt
- added semicolon to 'nbsp' tags
- fixed missing brackets in blades-update action

* Wed Apr 11 2001 Tony Clayton <tonyc@e-smith.com>
- [0.1.1-01]
- initial release.
