Summary: e-smith module for downloading and installing blades
%define name e-smith-blades
Name: %{name}
%define version 1.3.2
%define release 01
Version: %{version}
Release: %{release}
Copyright: Mitel Networks Corporation
Vendor: Mitel Networks Corporation
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-lib >= 1.7.0-20, perl-Error, perl-RPM
Requires: e-smith-rpm
BuildRequires: e-smith-devtools 
AutoReqProv: no

%description
e-smith module for downloading and installing blades

%prep
%setup
chmod +x root/etc/cron.daily/tmpwatch-blades

%build
perl createlinks
mkdir -p $RPM_BUILD_ROOT/var/cache/e-smith/blades/{licenses,packages}
chmod 0600 root/root/.ssh/identity.e-smith-blades-public

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
*
- []
- Deprecating RPM filename manipulation functions in 
  esmith::Blades::Package.  Using esmith::rpm::filename. [schwern 3104]
- Create the /var/cache/e-smith hierarchy explicitly. CVS export misses it
  because the directories are all empty. [markk]
- Add new function esmith::Blades::Package::cmp_packageString [tonyc]
- Use cmp_packageString instead of cmp_alphanum for packageStrings [tonyc]
- Add some POD to Package.pm [tonyc]

* Tue Feb 26 2002 Mark Knox <markk@e-smith.com>
- [1.3.2-01]
- Moved files from version-specific perl directory to generic directory
  /usr/lib/perl5/site_perl/esmith [markk 2002/02/22]

* Mon Feb 18 2002 Jason Miller <jmiller@e-smith.com>
- [1.3.1-01]
- Rolling rpm to 1.3.1-01 from CVS repository - includes all
  patches in 1.3.0-01

* Mon Feb 18 2002 Jason Miller <jmiller@e-smith.com>
- [1.3.0-01]
- rollRPM: Rolled version number to 1.3.0-01. Includes patches up to 1.2.1-01.

* Thu Jan 24 2002 Tony Clayton <tonyc@e-smith.com>
- [1.2.1-01]
- rollRPM: Rolled version number to 1.2.1-01. Includes patches up to 1.2.0-03.
- check against installed_blades file for isModified and isIncomplete checks

* Tue Jan  8 2002 Adrian Chung <adrianc@e-smith.com>
- [1.2.0-03]
- Don't use --oldpackage when checking conflicts, we don't support
  downgrades at the moment.
- Specifically catch RPM message when installing an older version of
  an installed package.
- Capture and report RPM conflict error messages when RPM's exit status
  is != 0.

* Wed Jan 02 2002 Tony Clayton <tonyc@e-smith.com>
- [1.2.0-02]
- add to %prep: chmod +x root/etc/cron.daily/tmpwatch-blades 
  Charlie has fixed e-smith-devtools to force execute permissions for scripts
  in /etc/cron.* at build time, but I'll leave this fix in anyway.

* Tue Dec 11 2001 Adrian Chung <mac@e-smith.com>
- [1.2.0-01]
- rollRPM: Rolled version number to 1.2.0-01. Includes patches up to 1.1.0-07.

* Mon Dec 10 2001 Tony Clayton <tonyc@e-smith.com>
- [1.1.0-07]
- add tmpwatch for blades cache
- touch bladeslist file when blades are downloaded

* Mon Dec 03 2001 Tony Clayton <tonyc@e-smith.com>
- [1.1.0-06]
- sort bladelist by 1)installed and 2)bladename
- add confirmation for blade removal
- trim SMEServer-Blade- from blade name in all web pages

* Sat Dec 01 2001 Tony Clayton <tonyc@e-smith.com>
- [1.1.0-05]
- Fix migrate-blades script to check individual packages
- Uncomment blades list download in panel (was commented for faster testing)
- Group bladeslist by Supported/Approved/Unsupported
- Replace 'Support status' column with 'Status' column
  (installed/modified/incomplete)

* Fri Nov 30 2001 Tony Clayton <tonyc@e-smith.com>
- [1.1.0-04]
- Add support for "Documentation" links in blades list

* Thu Nov 29 2001 Tony Clayton <tonyc@e-smith.com>
- [1.1.0-03]
- fix broken "Install" links in blades list panel 
- remove upgraded blade from installed_blades file
- rewrite conflicts method for blades - now supports file conflicts
- deps and conflicts checks now use temporary files instead of hashes
- show "Upgrade", "Downgrade" links in blades list panel instead of always
  showing "Install"
- remove SMEServer-Blades prefix in blades list panel
- reformat blades list panel - group by Installed/Available and sort by 1)
  Support Status and 2) Blade 

* Wed Nov 28 2001 Tony Clayton <tonyc@e-smith.com>
- [1.1.0-01]
- rollRPM: Rolled version number to 1.1.0-01. Includes patches up to 1.0.1-13.
- add patch for installed_blades file.  file is updated when blades are
  installed/uninstalled, but still not used by blades list panel.

* Wed Nov 28 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-13]
- add 'use strict' to blades packages

* Wed Nov 28 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-12]
- more friendly error reporting in blades panel 

* Tue Nov 20 2001 Tony Clayton <tonyc@e-smith.com>
- [1.0.1-11]
- changed default blades host back to service.e-smith.com
